> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new tag



## OpenAPI

````yaml post /tags
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /tags:
    post:
      tags:
        - Tags
      summary: Create a new tag
      operationId: TagsController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTagDto'
      responses:
        '201':
          description: The tag has been successfully created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TagEntity'
        '409':
          description: Tag with this name already exists
      security:
        - bearer: []
components:
  schemas:
    CreateTagDto:
      type: object
      properties:
        name:
          type: string
          description: Tag name
        description:
          type: string
          description: Tag description
      required:
        - name
    TagEntity:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        description:
          type: string
        created_time:
          type: string
      required:
        - id
        - name
        - created_time
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````